Skip to main content

Get Underlying Exch Token

Request to be POSTed to uri : /NorenWClientAPI/GetUnderlyingExchToken

Request Details :

Parameter NamePossible valueDescription
jData*Should send json object with fields in below list
Json FieldsPossible valueDescription
uid*Logged in User Id
exch*Exchange
token*Token

Example:

curl --location 'https://api.kambala.co.in/NorenWClientAPI/GetUnderlyingExchToken' \
--header 'Content-Type: text/plain' \
--header 'Authorization: Bearer ab2f4117bce53f6b6900c73eebe520468ceea148a3bc4423a973514150f3c415' \
--data 'jData={"uid":"DEMO","token":"22", "exch":"NSE"}'

Response Details :

Response data will have below fields.

Json FieldsPossible valueDescription
statsuccess or failure indication.
request_timeThis will be present only in a successful response.
und_exchUnderlying Exch seg
und_tkUnderlying Token
emsgThis will be present only in case of errors.

Sample Success Response :

{
"stat":"Ok",
"request_time":"01122021110443",
"und_exch":"NSE",
"und_tk":"26009"
}

Sample Failure Response :

{
"stat":"Not_Ok",
"emsg":"Invalid Input : Invalid Scrip token/exch"
}